/*
1. Compiler: TC 2.0
2. Mode: Large
3. Project: Demo97.prj
   	    Demo97.c
            ..\lib\8000l.lib
            ..\lib\tcpipl.lib
4. Explain: (1). Demonstration for use Timer functions.
            (2). To use DelayMs for LED ON/OFF.
5. Hordware: 8831
It's compiled by Tony
-------------------------------------------------------------------------
*/

#include<stdlib.h>
#include<stdio.h>
#include<conio.h>
#include<dos.h>
#include<string.h>
#include"..\LIB\8000.h"
/* ------------------------------------------------------------------- */

void main(void)
{ int LedMode=0;
  unsigned long value;
  int quit=0;
  unsigned Ver;

  if(!Is8000()){		/*detect the current operation system*/
     Print("\n\rdemo97.exe must run on 8831 with MiniOS7");
     return;
  }
  Ver=GetLibVersion();
  Print("\n\rLib version=%d.%02d",Ver>>8,Ver&0xff);
  Print("\n\rTest DelayMs() ...");
  Print("\n\rNow LED must flash once every second");
  Print("\n\rPress 'q' to quit\n\r");
  TimerOpen();
  SetLedL1(0);
  while(!quit){
     if(Kbhit()){
	switch(Getch()){
	  case 'q':
	       quit=1;
	       break;
	}
     }
     DelayMs(500);
     if(LedMode){
	LedMode=0;
	SetLedL1(0);
     }
     else {
	LedMode=1;
	SetLedL1(1);
     }
  }
  TimerClose();
  SetLedL1(1);
}

